// SPDX-License-Identifier: LGPL-3.0-or-later
// See Notices.txt for copyright information
//! # Module Function Bodies
//!
//! The `#[hdl_module]` attribute lets you have statements/expressions with `#[hdl]` annotations
//! and `_hdl`-suffixed literals in the module function's body.

pub mod hdl_array_expressions;
pub mod hdl_if_statements;
pub mod hdl_let_statements;
pub mod hdl_literals;
pub mod hdl_match_statements;
pub mod hdl_struct_variant_expressions;
