// SPDX-License-Identifier: LGPL-3.0-or-later
// See Notices.txt for copyright information

//! check that SimValue can't be interned, since equality may ignore types

use fayalite::{
    intern::{Intern, Interned},
    sim::value::SimValue,
};

fn f(v: SimValue<()>) -> Interned<SimValue<()>> {
    Intern::intern_sized(v)
}

fn main() {}
